Subject: Re: Minor issues running ssh/sshd under NT
From: Steve Coleman <[email-masked]>
To: Richard Stanton <[email-masked]>
Cc: [email-masked]
Date: Thu, 16 Sep 1999 18:15:12 -0400

Richard Stanton wrote:

> 1) When I run ssh1 to connect to my machine (called mortgage), it connects
> and logs on fine, but I get the following warning message displayed before
> the command prompt:
> 
> /usr/X11R6.4/bin/xauth: (stdin):2:  bad display name "mortgage/unix:1.0" in
> "add
> " command
> $
> 
> Does anyone know how to get rid of this?

Gee, and I thought I was the only one with this problem. :->

I think the offending line(s) of code is in sshd.c 

------------------------------------------------------
#ifndef CRAY
                        /* Cray xauth cannot take host/unix:0 as
displayname *
                        fprintf(f, "add %.*s/unix%s %s %s\n",
                                cp - display, display, cp, auth_proto,
                                auth_data); */
#endif                             
-------------------------------------------------------

The #ifndef... could probably be changed to:

#if !defined(CRAY) && !defined(__CYGWIN32__)
...
#endif

I just commented it out and my problem went away. It also had the side
effect of fixing a client connection timeout problem I was having too,
but that's another story.

-- 
Steve Coleman     <[email-masked]>   http://www.jhuapl.edu/
<<--------->> Johns Hopkins Applied Physics Laboratory <<---------->>
Balt:443-778-6330 Fax:443-778-5597 Wash:240-228-6330 Fax:240-228-5597

--
Want to unsubscribe from this list?
Send a message to [email-masked]